from Globals import ImageFile
import ProductView
import ExternalFolder, ExternalDTMLMethod, ExternalPythonScript, ExternalImage, ExternalFile



def initialize(context):

    context.registerClass(
        ProductView.ProductView,
        constructors=(ProductView.manage_addProductViewForm,
                      ProductView.manage_addProductView),
        #icon='www/Folder_icon.gif'
        )


    ProductView.registerExternalObject(
        ExternalPythonScript.ExternalPythonScript,
        constructors=(ExternalPythonScript.manage_addExternalPythonScriptForm,
                      ExternalPythonScript.manage_addExternalPythonScript)
        )


    ProductView.registerExternalObject(
        ExternalImage.ExternalImage,
        constructors=(ExternalImage.manage_addExternalImageForm,
                      ExternalImage.manage_addExternalImage)
        )


    ProductView.registerExternalObject(
        ExternalFile.ExternalFile,
        constructors=(ExternalFile.manage_addExternalFileForm,
                      ExternalFile.manage_addExternalFile)
        )


    ProductView.registerExternalObject(
        ExternalFolder.ExternalFolder,
        constructors=(ExternalFolder.manage_addExternalFolderForm,
                      ExternalFolder.manage_addExternalFolder)
        )


    ProductView.registerExternalObject(
        ExternalDTMLMethod.ExternalDTMLMethod,
        constructors=(ExternalDTMLMethod.manage_addExternalDTMLMethodForm,
                      ExternalDTMLMethod.manage_addExternalDTMLMethod)
        )

    
    context.registerBaseClass(ProductView.ProductView)
